Option Explicit
Const TeamViewerVersion = "5.0.8232"

Dim Install_regfilename32, Install_regfilename64, Shell, Install_regfilename

''''
'''''''''''' DO NOT EDIT ABOVE THIS LINE ''''''''''''
''''

Const MSIPATH = "\\MSIPATH\"  'Pfad zur Netzfreigabe mit MSI-Packet  -   Path to network share containing the MSI files
Const TV_FILENAME = "TeamViewer.msi"
'Const TV_FILENAME = "TeamViewer_Host.msi"
Install_regfilename32  = msipath & "tv-regfile32.reg"  'Reg-Datei von TeamViewer fr 32-bit Systeme  -  Reg file for TeamViewer on 32-bit systems
Install_regfilename64  = msipath & "tv-regfile64.reg"  'Reg-Datei von TeamViewer fr 64-bit Systeme  -  Reg file for TeamViewer on 64-bit systems
Const FORCEINSTALLATION = false

''''
'''''''''''' DO NOT EDIT BELOW THIS LINE ''''''''''''
''''




Set Shell = WScript.CreateObject("WScript.Shell")

If(CheckInstalledTeamViewer Or FORCEINSTALLATION) Then
	CheckPlatform()
	WriteRegistry Install_regfilename
	InstallTeamViewer
End If


Function CheckInstalledTeamViewer()
	Dim objReg, arrSubkeys, strValue, installedVersionNumber, strSubkey, intRet
	CheckInstalledTeamViewer = true
	Const HKLM = &H80000002 'HKEY_LOCAL_MACHINE
	Const STRKEY = "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\"
	
	Set objReg = GetObject("winmgmts://./root/default:StdRegProv")    
	objReg.EnumKey HKLM, STRKEY, arrSubkeys


	For Each strSubkey In arrSubkeys       
		intRet = objReg.GetStringValue(HKLM, STRKEY & strSubkey, "DisplayName", strValue)        
		If (intRet = 0) Then
			If strValue = "TeamViewer 5 (MSI)" Or strValue = "TeamViewer Host 5 (MSI)" Then
				objReg.GetStringValue HKLM, STRKEY & strSubkey, "DisplayVersion", InstalledVersionNumber
				If (Mid(TEAMVIEWERVERSION,5,Len(TEAMVIEWERVERSION)-4)) <= (Mid(installedVersionNumber,5,Len(InstalledVersionNumber)-4)) Then
					CheckInstalledTeamViewer = false	
				End If
			End If
		End If    
	Next
End Function


'berprfung der aktuellen Plattform
Function CheckPlatform()
	Dim regCheck, platform
	
	RegCheck = shell.regread("HKLM\SYSTEM\CurrentControlSet\Control\Session Manager\Environment\PROCESSOR_ARCHITECTURE")

	'x86
	platform=InStr(RegCheck,"86")
	If platform >= 1 Then
		Install_regfilename = Install_regfilename32
	End If
		
	'x64
	platform=InStr(RegCheck,"64")
	If platform >= 1 Then
		Install_regfilename = Install_regfilename64
	End If
End Function

'Schreiben der TeamViewer Registry-Keys
Function WriteRegistry(filename)
	Shell.Run "regedit /s " & filename, 0,True
End Function

Function InstallTeamViewer()
	Shell.Run "msiexec.exe /i " & MSIPATH & TV_FILENAME & " /quiet", 0,True
End Function


